> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Search for transformation documents

GET https://example.itential.io/transformations/

Searches for transformation documents.

Reference: https://docs.itential.com/itential-cloud/api-reference/transformations/jst-search-transformations

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `incoming` (list of string, optional) — incoming
- `outgoing` (list of string, optional) — outgoing
- `schema` (list of string, optional) — schema
- `contains` (string or map from string to any, optional) — contains
- `containsField` (string, optional) — containsField
- `equals` (object, optional) — equals
- `not` (object, optional) — not
- `expand` (boolean, optional) — expand
- `limit` (double, optional) — limit
- `skip` (double, optional) — skip
- `sort` (string, optional) — sort
- `order` (double, optional) — order
- `exclude-project-members` (boolean, optional) — exclude-project-members

## Response

### 200

Transformation documents.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/transformations/"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/transformations/';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/transformations/"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/transformations/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/transformations/")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/transformations/');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/transformations/");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/transformations/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```